For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • GETRetrieve a list of ATS departments
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsAts Departments

Retrieve a list of ATS departments

GET
/ats/departments
GET
/rest/v2/ats/departments
$curl -G https://api.letsdeel.com/rest/v2/ats/departments \
> -H "Authorization: Bearer <token>" \
> -d cursor=cursorValue \
> -d limit=50
1{
2 "data": [
3 {
4 "id": "550e8400-e29b-41d4-a716-446655440000",
5 "name": "Engineering",
6 "created_at": "2023-01-01T00:00:00Z",
7 "updated_at": "2023-01-01T00:00:00Z"
8 }
9 ],
10 "has_more": true,
11 "next_cursor": "cursor123",
12 "total_count": 100
13}

Returns a paginated list of all departments configured in the ATS. Token scopes: ats:read

Was this page helpful?
Previous

Retrieve a list of published ATS email templates

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

cursorstringOptional
The cursor for pagination
limitintegerOptional1-100Defaults to 20
Maximum number of records returned in one response

Response

Successful response with departments data
datalist of objects
has_moreboolean
Indicates if there are more departments available
next_cursorstring or null
Cursor for pagination to get the next set of results
total_countinteger
Total number of departments available

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication